// 二手商品
export default class SecondApi {
	constructor(AjaxService) {
		Object.assign(this, { AjaxService })
		this.name = 'SecondApi'
	}
	/**
	 *二手商品列表
	 *@param 二手商品分类 secondHandType	1二手仪器，2临期产品，3其他  【必传】
	 *@param 二手仪器分类的类型 instrumentType	1轻光电、2重光电、3耗材配件【不传默认全部】
	 *@param 搜索关键词 searchKeyword	【选传】 
	 */
	SeconHandProductList (data = {}) {
		return this.AjaxService.get({ url:'/product/getSecondHandProductList', data, isLoading: true })
	}
	/*二手发布/品牌列表 */
	brandList (data = {}) {
		return this.AjaxService.get({ url:'/product/brandList', data, isLoading: true })
	}
	/*二手发布/提交发布 */
	SecondHandProduct (data = {}) {
		return this.AjaxService.post({ url:'/product/releaseSecondHandProduct', data, isLoading: true })
	}
	/*二手发布/浏览量 */
	ProductCount (data = {}) {
		return this.AjaxService.get({ url:'/product/updateSecondHandProductCount', data, isLoading: true })
	}

}